AndroidLibMuse: NO MATCHING ABIS


#1

Hi.

I would like to ask some questions about running
TestLibmuseAndroid app in Android studio. I wanted to run it via
emulator in Android Studio, but many errors occurred. When I fixed most
of them, still one remained. When I successfully build the project and
wanted to run (and emulator switched Android device on) it showed error
message: Failure [INSTALL_FAILURE_NO_MATCHING_ABIS].

What could possibly cause this malfunction? Should I import some other virtual device, not only built-in Nexus?

I’m running Ubuntu 16.04 LTS 64-bit and enclosing a screenshot of the error.

Greets,
Lucie.


#2

The LibMuse for Android library does not support the x86 architecture at the moment which may explain the problem.

Have you tried running this on a physical Android device?


#3

Also the android emulator doesn’t support Bluetooth, so you absolutely need to use a physical device.


#4

Thank you. On Monday there’s going to be available device with Android 6 for testing. Let’s hope it will work.


#5

I have Muse Monitor users running on every version of Android from v4.0.3 to v7.1, so I can assure you it will work ok :slight_smile:


#6

I forgot to reply, everything works fine using Xiaomi Redmi 3S Android version 6.0.1 and MIUI 8.1.


#7

Hi
Try this application https://play.google.com/store/apps/details?id=com.myr.mymuse2017